﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace RadTileViewWithUserControl
{
	public partial class MainPage : UserControl
	{
		private ObservableCollection<MyItemViewModel> treeItems;
		private ObservableCollection<string> dropDownItems;

		public MainPage()
		{
			InitializeComponent();

			treeItems = new ObservableCollection<MyItemViewModel>();
			var item1 = new MyItemViewModel { Header = "1" };
			var item11 = new MyItemViewModel { Header = "1.1" };
			item11.Children.Add(new MyItemViewModel { Header = "1.1.1" });
			item1.Children.Add(item11);
			item1.Children.Add(new MyItemViewModel { Header = "1.2" });
			item1.Children.Add(new MyItemViewModel { Header = "1.3" });
			item1.Children.Add(new MyItemViewModel { Header = "1.4" });
			item1.Children.Add(new MyItemViewModel { Header = "1.5" });
			treeItems.Add(item1);
			treeItems.Add(new MyItemViewModel { Header = "2" });
			treeItems.Add(new MyItemViewModel { Header = "3" });
			treeItems.Add(new MyItemViewModel { Header = "4" });
			treeItems.Add(new MyItemViewModel { Header = "5" });

			dropDownItems = new ObservableCollection<string>();
			dropDownItems.Add("first");
			dropDownItems.Add("second");
			dropDownItems.Add("third");

			
			for (int i = 0; i < 2; i++)
			{
				MyUserControl mc = new MyUserControl();
				System.Windows.Controls.ListBox lb = new System.Windows.Controls.ListBox();
				lb.ItemsSource = dropDownItems;
				mc.MyDropDownButton.DropDownContent = lb;
				mc.myTextBlock.Text = "Lorem ipsum dolor sit amet, consectetur adipisicing elit," +
									  "sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. ";
				RadTileViewItem tvi = new RadTileViewItem();
				tvi.Content = mc;
				tvi.Header = "Your Header Here";
				this.myTileView.Items.Add(tvi);
			}

			for (int i = 0; i < 2; i++)
			{
				MySecondUserControl mc = new MySecondUserControl();
				mc.myTreeView.ItemsSource = treeItems;
				RadTileViewItem tvi = new RadTileViewItem();
				tvi.Content = mc;
				tvi.Header = "Your Header Here";
				this.myTileView.Items.Add(tvi);
			}
		}
	}
}
